#### D.2.8.7 maxcoef

Procedure from library `polylib.lib` (see polylib_lib).

Usage:
  maxcoef(f); f poly/ideal/vector/module/matrix

Return:
  maximal length of coefficient of f of type int (by measuring the length of the string of each coefficient)

Example:

    LIB "polylib.lib";
    ring r= 0,(x,y,z),ds;
    poly g = 345x2-1234567890y+7/4z;
    maxcoef(g);
    ==> 10
    ideal i = g,10/1234567890;
    maxcoef(i);
    ==> 11
    // since i[2]=1/123456789

User manual for Singular version 4.4.1, 2025, generated by texi2html.